From: Carlos Santos <casantos@datacom.com.br>
To: buildroot@busybox.net
Subject: [Buildroot] [PATCH v2 7/8] syslog-ng: update S01logging
Date: Fri, 28 Sep 2018 23:50:05 -0300 [thread overview]
Message-ID: <20180929025006.8296-7-casantos@datacom.com.br> (raw)
In-Reply-To: <20180929025006.8296-1-casantos@datacom.com.br>
Reformat and fix syslog-ng startup script for better quality and code
style:
- Indent with tabs, not spaces.
- Do not kill syslog-ng in "reload". Send a SIGHUP signal, instructing
it to perform a re-initialization.
- Support a configuration file at /etc/default (an example file will be
added in forthcomming patch).
- Support a configuration variable that completely disables the service
and issues a warning message on any invocation.
Signed-off-by: Carlos Santos <casantos@datacom.com.br>
---
Changes v1->v2:
- Implement changes suggested by Arnout Vandecappelle.
---
package/syslog-ng/S01logging | 73 +++++++++++++++++++++++++-----------
1 file changed, 51 insertions(+), 22 deletions(-)
diff --git a/package/syslog-ng/S01logging b/package/syslog-ng/S01logging
index d7c899a1e3..58e120e5f3 100644
--- a/package/syslog-ng/S01logging
+++ b/package/syslog-ng/S01logging
@@ -1,17 +1,42 @@
#!/bin/sh
+DAEMON="syslog-ng"
+PIDFILE="/var/run/$DAEMON.pid"
+
+SYSLOG_NG_ARGS=""
+ENABLED="yes"
+
+# shellcheck source=/dev/null
+[ -r "/etc/default/$DAEMON"g ] && . "/etc/default/$DAEMON"
+
+if [ "$ENABLED" != "yes" ]; then
+ printf '%s is disabled\n' "$DAEMON"
+ exit 0
+fi
+
start() {
- printf "Starting syslog-ng daemon: "
- start-stop-daemon -S -q -p /var/run/syslog-ng.pid \
- -x /usr/sbin/syslog-ng -- --pidfile /var/run/syslog-ng.pid
- [ $? = 0 ] && echo "OK" || echo "FAIL"
+ printf 'Starting %s: ' "$DAEMON"
+ # shellcheck disable=SC2086 # we need the word splitting
+ start-stop-daemon -S -q -p "$PIDFILE" -x /usr/sbin/syslog-ng -- $SYSLOG_NG_ARGS
+ status=$?
+ if [ "$status" -eq 0 ]; then
+ echo "OK"
+ else
+ echo "FAIL"
+ fi
+ return "$status"
}
stop() {
- printf "Stopping syslog-ng daemon: "
- start-stop-daemon -K -q -p /var/run/syslog-ng.pid \
- -x /usr/sbin/syslog-ng
- [ $? = 0 ] && echo "OK" || echo "FAIL"
+ printf 'Stopping %s: ' "$DAEMON"
+ start-stop-daemon -K -q -p "$PIDFILE"
+ status=$?
+ if [ "$status" -eq 0 ]; then
+ echo "OK"
+ else
+ echo "FAIL"
+ fi
+ return "$status"
}
restart() {
@@ -20,19 +45,23 @@ restart() {
start
}
+# SIGHUP makes syslog-ng reload its configuration
+reload() {
+ printf 'Stopping %s: ' "$DAEMON"
+ start-stop-daemon -K -s HUP -q -p "$PIDFILE"
+ status=$?
+ if [ "$status" -eq 0 ]; then
+ echo "OK"
+ else
+ echo "FAIL"
+ fi
+ return "$status"
+}
+
case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- restart
- ;;
- *)
- echo "Usage: $0 {start|stop|restart}"
- exit 1
+ start|stop|restart|reload)
+ "$1";;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
esac
-
-exit $?
--
2.17.1
next prev parent reply other threads:[~2018-09-29 2:50 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-09-29 2:49 [Buildroot] [PATCH v2 1/8] busybox: update S01logging Carlos Santos
2018-09-29 2:50 ` [Buildroot] [PATCH v2 2/8] busybox: add logging configuration file Carlos Santos
2018-10-01 13:12 ` Matthew Weber
2018-09-29 2:50 ` [Buildroot] [PATCH v2 3/8] rsyslog: update S01logging Carlos Santos
2018-09-29 2:50 ` [Buildroot] [PATCH v2 4/8] rsyslog: add logging configuration file Carlos Santos
2018-09-29 2:50 ` [Buildroot] [PATCH v2 5/8] sysklogd: update S01logging Carlos Santos
2018-09-29 2:50 ` [Buildroot] [PATCH v2 6/8] sysklogd: add logging configuration file Carlos Santos
2018-09-29 2:50 ` Carlos Santos [this message]
2018-09-29 3:11 ` [Buildroot] [PATCH v2 7/8] syslog-ng: update S01logging Chris Packham
2018-09-29 2:50 ` [Buildroot] [PATCH v2 8/8] syslog-ng: add logging configuration file Carlos Santos
2018-09-29 3:14 ` Chris Packham
2018-10-01 13:00 ` [Buildroot] [PATCH v2 1/8] busybox: update S01logging Matthew Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20180929025006.8296-7-casantos@datacom.com.br \
--to=casantos@datacom.com.br \
--cc=buildroot@busybox.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.